Skip to main content
`Ctrl`+`K`

# Sky2Pix_SlantZenithalPerspective

class astropy.modeling.projections.Sky2Pix_SlantZenithalPerspective(*args, **kwargs)

  Bases: `Sky2PixProjection`, `Zenithal`

  Zenithal perspective projection - sky to pixel.

  Corresponds to the `SZP` projection in FITS WCS.

  Parameters:
    mu `python:float`

      distance from point of projection to center of sphere in spherical radii, μ. Default is 0.

    phi0 `python:float`

      The longitude φ₀ of the reference point, in degrees. Default is 0°.

    theta0 `python:float`

      The latitude θ₀ of the reference point, in degrees. Default is 90°.

  Attributes Summary

  `mu` |
  `param_names` | Names of the parameters that describe models of this type.
  `phi0` |
  `theta0` |

  Attributes Documentation

  mu = _ParameterDS('mu', value=0.0)
  param_names = ('mu', 'phi0', 'theta0')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  phi0 = _ParameterDS('phi0', value=0.0)
  theta0 = _ParameterDS('theta0', value=0.0)